{
  "$schema": "./node_modules/@biomejs/biome/configuration_schema.json",
  "files": {
    "include": ["src/**/*.ts"]
  },
  "linter": {
    "enabled": true,
    "rules": {
      "style": {
        "noNonNullAssertion": "off",
        "useNodejsImportProtocol": "warn"
      },
      "complexity": {
        "useLiteralKeys": "off"
      }
    }
  },
  "formatter": {
    "enabled": true,
    "formatWithErrors": true,
    "ignore": [],
    "attributePosition": "auto",
    "indentStyle": "space",
    "indentWidth": 2,
    "lineWidth": 120,
    "lineEnding": "lf"
  },
  "javascript": {
    "formatter": {
      "arrowParentheses": "always",
      "bracketSameLine": true,
      "bracketSpacing": true,
      "quoteStyle": "single",
      "quoteProperties": "asNeeded",
      "semicolons": "always",
      "trailingCommas": "all"
    }
  }
}
